<div class="front_page_section front_page_section_contacts<?php
			$maxcube_scheme = maxcube_get_theme_option('front_page_contacts_scheme');
			if (!maxcube_is_inherit($maxcube_scheme)) echo ' scheme_'.esc_attr($maxcube_scheme);
			echo ' front_page_section_paddings_'.esc_attr(maxcube_get_theme_option('front_page_contacts_paddings'));
		?>"<?php
		$maxcube_css = '';
		$maxcube_bg_image = maxcube_get_theme_option('front_page_contacts_bg_image');
		if (!empty($maxcube_bg_image)) 
			$maxcube_css .= 'background-image: url('.esc_url(maxcube_get_attachment_url($maxcube_bg_image)).');';
		if (!empty($maxcube_css))
			echo ' style="' . esc_attr($maxcube_css) . '"';
?>><?php
	// Add anchor
	$maxcube_anchor_icon = maxcube_get_theme_option('front_page_contacts_anchor_icon');	
	$maxcube_anchor_text = maxcube_get_theme_option('front_page_contacts_anchor_text');	
	if ((!empty($maxcube_anchor_icon) || !empty($maxcube_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_contacts"'
										. (!empty($maxcube_anchor_icon) ? ' icon="'.esc_attr($maxcube_anchor_icon).'"' : '')
										. (!empty($maxcube_anchor_text) ? ' title="'.esc_attr($maxcube_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_contacts_inner<?php
			if (maxcube_get_theme_option('front_page_contacts_fullheight'))
				echo ' maxcube-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$maxcube_css = '';
			$maxcube_bg_mask = maxcube_get_theme_option('front_page_contacts_bg_mask');
			$maxcube_bg_color = maxcube_get_theme_option('front_page_contacts_bg_color');
			if (!empty($maxcube_bg_color) && $maxcube_bg_mask > 0)
				$maxcube_css .= 'background-color: '.esc_attr($maxcube_bg_mask==1
																	? $maxcube_bg_color
																	: maxcube_hex2rgba($maxcube_bg_color, $maxcube_bg_mask)
																).';';
			if (!empty($maxcube_css))
				echo ' style="' . esc_attr($maxcube_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$maxcube_caption = maxcube_get_theme_option('front_page_contacts_caption');
			$maxcube_description = maxcube_get_theme_option('front_page_contacts_description');
			if (!empty($maxcube_caption) || !empty($maxcube_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($maxcube_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo !empty($maxcube_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($maxcube_caption);
					?></h2><?php
				}
			
				// Description
				if (!empty($maxcube_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo !empty($maxcube_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($maxcube_description));
					?></div><?php
				}
			}

			// Content (text)
			$maxcube_content = maxcube_get_theme_option('front_page_contacts_content');
			$maxcube_layout = maxcube_get_theme_option('front_page_contacts_layout');
			if ($maxcube_layout == 'columns' && (!empty($maxcube_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ((!empty($maxcube_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo !empty($maxcube_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($maxcube_content);
				?></div><?php
			}

			if ($maxcube_layout == 'columns' && (!empty($maxcube_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div><div class="column-2_3"><?php
			}
		
			// Shortcode output
			$maxcube_sc = maxcube_get_theme_option('front_page_contacts_shortcode');
			if (!empty($maxcube_sc) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo !empty($maxcube_sc) ? 'filled' : 'empty'; ?>"><?php
					maxcube_show_layout(do_shortcode($maxcube_sc));
				?></div><?php
			}

			if ($maxcube_layout == 'columns' && (!empty($maxcube_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>