<div class="front_page_section front_page_section_woocommerce<?php
			$maxcube_scheme = maxcube_get_theme_option('front_page_woocommerce_scheme');
			if (!maxcube_is_inherit($maxcube_scheme)) echo ' scheme_'.esc_attr($maxcube_scheme);
			echo ' front_page_section_paddings_'.esc_attr(maxcube_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$maxcube_css = '';
		$maxcube_bg_image = maxcube_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($maxcube_bg_image)) 
			$maxcube_css .= 'background-image: url('.esc_url(maxcube_get_attachment_url($maxcube_bg_image)).');';
		if (!empty($maxcube_css))
			echo ' style="' . esc_attr($maxcube_css) . '"';
?>><?php
	// Add anchor
	$maxcube_anchor_icon = maxcube_get_theme_option('front_page_woocommerce_anchor_icon');	
	$maxcube_anchor_text = maxcube_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($maxcube_anchor_icon) || !empty($maxcube_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($maxcube_anchor_icon) ? ' icon="'.esc_attr($maxcube_anchor_icon).'"' : '')
										. (!empty($maxcube_anchor_text) ? ' title="'.esc_attr($maxcube_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (maxcube_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' maxcube-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$maxcube_css = '';
			$maxcube_bg_mask = maxcube_get_theme_option('front_page_woocommerce_bg_mask');
			$maxcube_bg_color = maxcube_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($maxcube_bg_color) && $maxcube_bg_mask > 0)
				$maxcube_css .= 'background-color: '.esc_attr($maxcube_bg_mask==1
																	? $maxcube_bg_color
																	: maxcube_hex2rgba($maxcube_bg_color, $maxcube_bg_mask)
																).';';
			if (!empty($maxcube_css))
				echo ' style="' . esc_attr($maxcube_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$maxcube_caption = maxcube_get_theme_option('front_page_woocommerce_caption');
			$maxcube_description = maxcube_get_theme_option('front_page_woocommerce_description');
			if (!empty($maxcube_caption) || !empty($maxcube_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($maxcube_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($maxcube_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($maxcube_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($maxcube_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($maxcube_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($maxcube_description));
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$maxcube_woocommerce_sc = maxcube_get_theme_option('front_page_woocommerce_products');
				if ($maxcube_woocommerce_sc == 'products') {
					$maxcube_woocommerce_sc_ids = maxcube_get_theme_option('front_page_woocommerce_products_per_page');
					$maxcube_woocommerce_sc_per_page = count(explode(',', $maxcube_woocommerce_sc_ids));
				} else {
					$maxcube_woocommerce_sc_per_page = max(1, (int) maxcube_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$maxcube_woocommerce_sc_columns = max(1, min($maxcube_woocommerce_sc_per_page, (int) maxcube_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$maxcube_woocommerce_sc}"
									. ($maxcube_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($maxcube_woocommerce_sc_ids).'"' 
											: '')
									. ($maxcube_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(maxcube_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($maxcube_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(maxcube_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(maxcube_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($maxcube_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($maxcube_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>