<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap<?php
				if (!maxcube_is_inherit(maxcube_get_theme_option('copyright_scheme')))
					echo ' scheme_' . esc_attr(maxcube_get_theme_option('copyright_scheme'));
 				?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				$maxcube_copyright = maxcube_get_theme_option('copyright');
				if (!empty($maxcube_copyright)) {
					
					$maxcube_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $maxcube_copyright);
					
					$maxcube_copyright = maxcube_prepare_macros($maxcube_copyright);
					// Display copyright
					echo wp_kses_post(nl2br($maxcube_copyright));
				}
			?></div>
		</div>
	</div>
</div>
