<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0
 */

$maxcube_link = get_permalink();
$maxcube_post_format = get_post_format();
$maxcube_post_format = empty($maxcube_post_format) ? 'standard' : str_replace('post-format-', '', $maxcube_post_format);
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_'.esc_attr($maxcube_post_format) ); ?>><?php
	maxcube_show_post_featured(array(
		'thumb_size' => apply_filters('maxcube_filter_related_thumb_size', maxcube_get_thumb_size( (int) maxcube_get_theme_option('related_posts') == 1 ? 'huge' : 'big' )),
		'show_no_image' => maxcube_get_theme_setting('allow_no_image'),
		'singular' => false
		)
	);
	?><div class="post_header entry-header"><?php
		if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
			?><span class="post_date"><a href="<?php echo esc_url($maxcube_link); ?>"><?php echo wp_kses_data(maxcube_get_date()); ?></a></span><?php
		}
		?>
		<h6 class="post_title entry-title"><a href="<?php echo esc_url($maxcube_link); ?>"><?php the_title(); ?></a></h6>
	</div>
</div>