<div class="front_page_section front_page_section_about<?php
			$maxcube_scheme = maxcube_get_theme_option('front_page_about_scheme');
			if (!maxcube_is_inherit($maxcube_scheme)) echo ' scheme_'.esc_attr($maxcube_scheme);
			echo ' front_page_section_paddings_'.esc_attr(maxcube_get_theme_option('front_page_about_paddings'));
		?>"<?php
		$maxcube_css = '';
		$maxcube_bg_image = maxcube_get_theme_option('front_page_about_bg_image');
		if (!empty($maxcube_bg_image)) 
			$maxcube_css .= 'background-image: url('.esc_url(maxcube_get_attachment_url($maxcube_bg_image)).');';
		if (!empty($maxcube_css))
			echo ' style="' . esc_attr($maxcube_css) . '"';
?>><?php
	// Add anchor
	$maxcube_anchor_icon = maxcube_get_theme_option('front_page_about_anchor_icon');	
	$maxcube_anchor_text = maxcube_get_theme_option('front_page_about_anchor_text');	
	if ((!empty($maxcube_anchor_icon) || !empty($maxcube_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_about"'
										. (!empty($maxcube_anchor_icon) ? ' icon="'.esc_attr($maxcube_anchor_icon).'"' : '')
										. (!empty($maxcube_anchor_text) ? ' title="'.esc_attr($maxcube_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_about_inner<?php
			if (maxcube_get_theme_option('front_page_about_fullheight'))
				echo ' maxcube-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$maxcube_css = '';
			$maxcube_bg_mask = maxcube_get_theme_option('front_page_about_bg_mask');
			$maxcube_bg_color = maxcube_get_theme_option('front_page_about_bg_color');
			if (!empty($maxcube_bg_color) && $maxcube_bg_mask > 0)
				$maxcube_css .= 'background-color: '.esc_attr($maxcube_bg_mask==1
																	? $maxcube_bg_color
																	: maxcube_hex2rgba($maxcube_bg_color, $maxcube_bg_mask)
																).';';
			if (!empty($maxcube_css))
				echo ' style="' . esc_attr($maxcube_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$maxcube_caption = maxcube_get_theme_option('front_page_about_caption');
			if (!empty($maxcube_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo !empty($maxcube_caption) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post($maxcube_caption); ?></h2><?php
			}
		
			// Description (text)
			$maxcube_description = maxcube_get_theme_option('front_page_about_description');
			if (!empty($maxcube_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo !empty($maxcube_description) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post(wpautop($maxcube_description)); ?></div><?php
			}
			
			// Content
			$maxcube_content = maxcube_get_theme_option('front_page_about_content');
			if (!empty($maxcube_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo !empty($maxcube_content) ? 'filled' : 'empty'; ?>"><?php
					$maxcube_page_content_mask = '%%CONTENT%%';
					if (strpos($maxcube_content, $maxcube_page_content_mask) !== false) {
						$maxcube_content = preg_replace(
									'/(\<p\>\s*)?'.$maxcube_page_content_mask.'(\s*\<\/p\>)/i',
									sprintf('<div class="front_page_section_about_source">%s</div>',
												apply_filters('the_content', get_the_content())),
									$maxcube_content
									);
					}
					maxcube_show_layout($maxcube_content);
				?></div><?php
			}
			?>
		</div>
	</div>
</div>