<div class="front_page_section front_page_section_googlemap<?php
			$maxcube_scheme = maxcube_get_theme_option('front_page_googlemap_scheme');
			if (!maxcube_is_inherit($maxcube_scheme)) echo ' scheme_'.esc_attr($maxcube_scheme);
			echo ' front_page_section_paddings_'.esc_attr(maxcube_get_theme_option('front_page_googlemap_paddings'));
		?>"<?php
		$maxcube_css = '';
		$maxcube_bg_image = maxcube_get_theme_option('front_page_googlemap_bg_image');
		if (!empty($maxcube_bg_image)) 
			$maxcube_css .= 'background-image: url('.esc_url(maxcube_get_attachment_url($maxcube_bg_image)).');';
		if (!empty($maxcube_css))
			echo ' style="' . esc_attr($maxcube_css) . '"';
?>><?php
	// Add anchor
	$maxcube_anchor_icon = maxcube_get_theme_option('front_page_googlemap_anchor_icon');	
	$maxcube_anchor_text = maxcube_get_theme_option('front_page_googlemap_anchor_text');	
	if ((!empty($maxcube_anchor_icon) || !empty($maxcube_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_googlemap"'
										. (!empty($maxcube_anchor_icon) ? ' icon="'.esc_attr($maxcube_anchor_icon).'"' : '')
										. (!empty($maxcube_anchor_text) ? ' title="'.esc_attr($maxcube_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_googlemap_inner<?php
			if (maxcube_get_theme_option('front_page_googlemap_fullheight'))
				echo ' maxcube-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$maxcube_css = '';
			$maxcube_bg_mask = maxcube_get_theme_option('front_page_googlemap_bg_mask');
			$maxcube_bg_color = maxcube_get_theme_option('front_page_googlemap_bg_color');
			if (!empty($maxcube_bg_color) && $maxcube_bg_mask > 0)
				$maxcube_css .= 'background-color: '.esc_attr($maxcube_bg_mask==1
																	? $maxcube_bg_color
																	: maxcube_hex2rgba($maxcube_bg_color, $maxcube_bg_mask)
																).';';
			if (!empty($maxcube_css))
				echo ' style="' . esc_attr($maxcube_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap<?php
			$maxcube_layout = maxcube_get_theme_option('front_page_googlemap_layout');
			if ($maxcube_layout != 'fullwidth')
				echo ' content_wrap';
		?>">
			<?php
			// Content wrap with title and description
			$maxcube_caption = maxcube_get_theme_option('front_page_googlemap_caption');
			$maxcube_description = maxcube_get_theme_option('front_page_googlemap_description');
			if (!empty($maxcube_caption) || !empty($maxcube_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($maxcube_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
					// Caption
					if (!empty($maxcube_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo !empty($maxcube_caption) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses_post($maxcube_caption);
						?></h2><?php
					}
				
					// Description (text)
					if (!empty($maxcube_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo !empty($maxcube_description) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses_post(wpautop($maxcube_description));
						?></div><?php
					}
				if ($maxcube_layout == 'fullwidth') {
					?></div><?php
				}
			}

			// Content (text)
			$maxcube_content = maxcube_get_theme_option('front_page_googlemap_content');
			if (!empty($maxcube_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($maxcube_layout == 'columns') {
					?><div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} else if ($maxcube_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
	
				?><div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo !empty($maxcube_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($maxcube_content);
				?></div><?php
	
				if ($maxcube_layout == 'columns') {
					?></div><div class="column-2_3"><?php
				} else if ($maxcube_layout == 'fullwidth') {
					?></div><?php
				}
			}
			
			// Widgets output
			?><div class="front_page_section_output front_page_section_googlemap_output"><?php 
				if (is_active_sidebar('front_page_googlemap_widgets')) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!maxcube_exists_trx_addons())
						maxcube_customizer_need_trx_addons_message();
					else
						maxcube_customizer_need_widgets_message('front_page_googlemap_caption', 'ThemeREX Addons - Google map');
				}
			?></div><?php

			if ($maxcube_layout == 'columns' && (!empty($maxcube_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>