/* global jQuery:false */
/* global MAXCUBE_STORAGE:false */

jQuery(document).ready(function() {
	"use strict";

	// Switch active skin
	jQuery('#maxcube_about_section_skins a.maxcube_about_block_link_choose_skin').on('click', function(e) {
		if (confirm(MAXCUBE_STORAGE['msg_switch_skin'])) {
			var link = jQuery(this);
			jQuery.post( MAXCUBE_STORAGE['ajax_url'], {
					'action': 'maxcube_switch_skin',
					'skin': link.data('skin'),
					'nonce': MAXCUBE_STORAGE['ajax_nonce']
				},
				function(response){
					var rez = {};
					if (response=='' || response==0) {
						rez = { error: MAXCUBE_STORAGE['msg_ajax_error'] };
					} else {
						try {
							rez = JSON.parse(response);
						} catch (e) {
							rez = { error: MAXCUBE_STORAGE['msg_ajax_error'] };
							console.log(response);
						}
					}
					// Show result
					alert(rez.error ? rez.error : MAXCUBE_STORAGE['msg_switch_skin_success']);
					// Reload current page after the skin is switched (if success)
					if (rez.error == '')
						location.reload(true);
				});
		}
		e.preventDefault();
		return false;
	});
});