<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage MAXCUBE
 * @since MAXCUBE 1.0.10
 */

// Footer menu
$maxcube_menu_footer = maxcube_get_nav_menu(array(
											'location' => 'menu_footer',
											'class' => 'sc_layouts_menu sc_layouts_menu_default'
											));
if (!empty($maxcube_menu_footer)) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php maxcube_show_layout($maxcube_menu_footer); ?>
		</div>
	</div>
	<?php
}
?>